> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get positions



## OpenAPI

````yaml openapi/api-gateway.json GET /positions
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /positions:
    get:
      tags:
        - api-gateway
      operationId: get_positions
      parameters:
        - name: account_id
          in: query
          description: >-
            Optional account ID. If omitted, default (primary) user account is
            used.
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: List of positions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPositionsResponse'
      security:
        - session_token: []
components:
  schemas:
    GetPositionsResponse:
      type: object
      required:
        - positions
      properties:
        positions:
          type: array
          items:
            $ref: '#/components/schemas/Position'
    Position:
      type: object
      required:
        - account_id
        - symbol
        - signed_quantity
        - signed_notional
        - timestamp
        - realized_pnl
      properties:
        account_id:
          type: string
        realized_pnl:
          type: string
        signed_notional:
          type: string
        signed_quantity:
          type: integer
          format: int64
        symbol:
          type: string
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````